import { UserRole } from '../users';
import { Auth } from './types';

export const transformAuthUser = (response: any): Auth => {
  const resolvedUserRole = !response.userInfo.role_id ? UserRole.User : response.userInfo.role_id;

  return {
    token: response.accessToken,
    userInfo: {
      id: response.userInfo.id,
      role_id: resolvedUserRole,
      email: response.userInfo.email ?? null,
      name: response.userInfo.name ?? null,
      preferredUsername: response.userInfo.preferredUsername,
      status: response.userInfo.state ?? null,
    },
  };
};
