import _ from 'lodash';

import { User, UserRole } from './types';

export const transformUser = (response: any): User => {
  const userResponse = _.get(response, 'user', response);

  const resolvedUserRole = !userResponse.traits.role_id ? UserRole.User : userResponse.traits.role_id;

  return {
    id: userResponse.id,
    role_id: resolvedUserRole,
    email: userResponse.traits.email,
    name: userResponse.traits.name ?? null,
    preferredUsername: userResponse.preferredUsername,
    status: userResponse.state,
  };
};

export const transformRequestUser = (data: Pick<User, 'role_id' | 'name' | 'email'>) => {
  if (data.role_id === UserRole.User) {
    return {
      email: data.email,
      name: data.name,
    };
  }

  return {
    role_id: Number(data.role_id),
    email: data.email,
    name: data.name,
  };
};
